package com.mcwl.web.controller.myInvitation;


import com.mcwl.common.annotation.Anonymous;
import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.common.utils.SecurityUtils;
import com.mcwl.myInvitation.domain.Invitation;
import com.mcwl.myInvitation.service.InvitationService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

import static com.mcwl.common.core.domain.AjaxResult.success;

@RestController("/invitation")
@RequiredArgsConstructor

public class InvitationController {

    private final InvitationService invitationService;


    @GetMapping("/getInvitationCode")
    @Anonymous
    public AjaxResult getInvitationCode() {
        // 获取当前用户
        Long userId = SecurityUtils.getUserId();
        String invitationCode = invitationService.getInvitationCode(userId);
        return success("操作成功", invitationCode);
    }

    @GetMapping("/list")
    public AjaxResult list() {
        List<Invitation> list = invitationService.list();
        return success(list);
    }

    @GetMapping("/getById")
    public AjaxResult getById(Long id) {
        Invitation invitation = invitationService.getById(id);
        return success(invitation);
    }




}
