package com.mcwl.myInvitation.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.mcwl.common.constant.JwtConstants;
import com.mcwl.common.utils.JwtUtils;
import com.mcwl.myInvitation.domain.Invitation;
import com.mcwl.myInvitation.mapper.InvitationMapper;
import com.mcwl.myInvitation.service.InvitationService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

@Service
@RequiredArgsConstructor
public class InvitationServiceImpl extends ServiceImpl<InvitationMapper, Invitation> implements InvitationService {


    @Override
    public String getInvitationCode(Long userId) {
        // 生成邀请码
        Map<String, Object> claims = new HashMap<>() ;
        claims.put(JwtConstants.DETAILS_USER_ID, userId);
        String invitationCode = JwtUtils.createToken(claims);
        return invitationCode;
    }
}
